<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
    <session-factory>
        <property name="connection.url">jdbc:postgresql://localhost:5432/progicadatabase</property>
        <property name="connection.driver_class">org.postgresql.Driver</property>
        <property name="connection.username">Namik</property>
        <property name="connection.password">AFPA2019</property>
        <property name="dialect">org.hibernate.dialect.PostgreSQL9Dialect</property>
<property name="hibernate.current_session_context_class">thread</property>
        <property name="show_sql">true</property>
        <mapping class="hibernateMetier.CommuneEntity"/>
        <mapping class="hibernateMetier.DepartementEntity"/>
        <mapping class="hibernateMetier.DisponibiliteEntity"/>
        <mapping class="hibernateMetier.EquipementEtServiceEntity"/>
        <mapping class="hibernateMetier.GiteEntity"/>
        <mapping class="hibernateMetier.PeriodeEntity"/>
        <mapping class="hibernateMetier.PersonneEntity"/>
        <mapping class="hibernateMetier.RegionEntity"/>
        <mapping class="hibernateMetier.TariferEntity"/>
        <mapping class="hibernateMetier.TelephoneEntity"/>
        <mapping class="hibernateMetier.TypeEquipementServiceEntity"/>
        <mapping class="hibernateMetier.TypePeriodeEntity"/>
        <mapping class="hibernateMetier.TypePersonneEntity"/>


        <!-- DB schema will be updated if needed -->
        <!-- <property name="hibernate.hbm2ddl.auto">update</property> -->
    </session-factory>
</hibernate-configuration>